"""Utilities for testing Tribunal itself."""

__all__ = [
    'TestCase',
    ]


import testtools


class TestCase(testtools.TestCase):
    """Base test case for Tribunal tests."""

    def assertImplements(self, obj, interface):
        if not interface.providedBy(obj):
            raise self.failureException(
                "%r does not implement %r" % (obj, interface))
