# This makes sure that users don't have to set up their environment
# specially in order to run these programs from bin/.

import sys
import os

PACKAGE_DIR = 'tribunal'
abspath_segments = os.path.abspath(sys.argv[0]).split(os.sep)[:-1]

while abspath_segments:
    path = os.sep.join(abspath_segments)
    if os.path.exists(os.path.join(path, PACKAGE_DIR, '__init__.py')):
        sys.path.insert(0, path)
        break
    abspath_segments.pop()
